From 2a1eaac049ca759f962ea7cfea594f45b9b8c832 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 24 2020 10:02:58 +0000
Subject: [PATCH 50/2232] Accept non-\n line endings


On Windows, include_str brings in cxxbridge.h with \r\n line endings.

---

diff --git a/gen/include.rs b/gen/include.rs
index d4ff758..ef741af 100644
--- a/gen/include.rs
+++ b/gen/include.rs
@@ -1,8 +1,8 @@
 pub static HEADER: &str = include_str!("include/cxxbridge.h");
 
 pub fn get(guard: &str) -> &'static str {
-    let ifndef = format!("#ifndef {}\n", guard);
-    let endif = format!("#endif // {}\n", guard);
+    let ifndef = format!("#ifndef {}", guard);
+    let endif = format!("#endif // {}", guard);
     let begin = HEADER.find(&ifndef);
     let end = HEADER.find(&endif);
     if let (Some(begin), Some(end)) = (begin, end) {

